
Redmine - Feature #32030

Show Gravatar icons in the Members tab in the project setting

2019-09-08 10:10 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

It makes easier to distinguish users. In addition, it improves consistency. Users page in Administration already shows Gravatar icons.

 

History

#1 - 2019-10-24 08:26 - Takenori TAKAKI

- File members-tab-display-gravatar.png added

- File 32030.patch added

I created a patch to display the Gravatar icons as shown in the screenshot below.

 members-tab-display-gravatar.png 

#2 - 2019-10-24 11:08 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2019-10-31 07:53 - Takenori TAKAKI

- File 32030-2.patch added

Change method name from `member_avatar ` to `principal_avater`.

#4 - 2019-10-31 14:35 - Go MAEDA

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

LGTM. Setting the target version to 4.1.0.

#5 - 2019-11-02 08:32 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.2.0
#6 - 2019-12-01 05:28 - Go MAEDA

- File 0001-Code-cleanup-RuboCop-Fix-Performance-RedundantMerge.patch added

- File 0002-Show-Gravatar-icons-in-the-Members-tab-in-the-projec.patch added

I have updated the patch. It fixes Performance/RedundantMerge RuboCop warning.

#7 - 2019-12-01 08:56 - Mischa The Evil

I understand the rationale behind this change, but I think it is slightly problematic as the group icon is indicative for the differentiation of groups from

users on the project members list tab. With the change proposed in this issue it becomes harder to make this distinction, while the added value of

showing the gravatar here is pretty low IMHO.

#8 - 2020-01-04 03:57 - Go MAEDA

- Target version changed from 4.2.0 to Candidate for next major release

Files

members-tab@2x.png 40.9 KB 2019-09-08 Go MAEDA

members-tab-display-gravatar.png 154 KB 2019-10-24 Takenori TAKAKI

32030.patch 2.2 KB 2019-10-24 Takenori TAKAKI

32030-2.patch 2.25 KB 2019-10-31 Takenori TAKAKI

0001-Code-cleanup-RuboCop-Fix-Performance-RedundantMerge.patch1.99 KB 2019-12-01 Go MAEDA

0002-Show-Gravatar-icons-in-the-Members-tab-in-the-projec.patch 2.72 KB 2019-12-01 Go MAEDA
